Package com.io7m.idstore.server.service.templating

# Class IdFMTemplateService

java.lang.Object
com.io7m.idstore.server.service.templating.IdFMTemplateService

All Implemented Interfaces:
  `IdFMTemplateServiceType`, `com.io7m.repetoir.core.RPServiceType`

public final class IdFMTemplateService extends Object implements IdFMTemplateServiceType
A service supplying freemarker templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdFMTemplateServiceType`
  `create()`
  `IdFMTemplateType<IdFMCSSData>`
  `cssTemplate()`
  `String`
  `description()`
  `IdFMTemplateType<IdFMEmailPasswordResetData>`
  `emailPasswordResetTemplate()`
  `IdFMTemplateType<IdFMEmailTestData>`
  `emailTestTemplate()`
  `IdFMTemplateType<IdFMEmailVerificationData>`
  `emailVerificationTemplate()`
  `IdFMTemplateType<IdFMEmailAddData>`
  `pageEmailAddTemplate()`
  `IdFMTemplateType<IdFMLoginData>`
  `pageLoginTemplate()`
  `IdFMTemplateType<IdFMMessageData>`
  `pageMessage()`
  `IdFMTemplateType<IdFMPasswordResetConfirmData>`
  `pagePasswordResetConfirmTemplate()`
  `IdFMTemplateType<IdFMPasswordResetData>`
  `pagePasswordResetTemplate()`
  `IdFMTemplateType<IdFMPasswordUpdateData>`
  `pagePasswordUpdateTemplate()`
  `IdFMTemplateType<IdFMRealNameUpdateData>`
  `pageRealnameUpdateTemplate()`
  `IdFMTemplateType<IdFMUserSelfData>`
  `pageUserSelfTemplate()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static IdFMTemplateServiceType create()
    Returns:
      A service supplying freemarker templates.

  - ### pageLoginTemplate

    public IdFMTemplateType<IdFMLoginData> pageLoginTemplate()
    Specified by:
      `pageLoginTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The login form template

  - ### pageUserSelfTemplate

    public IdFMTemplateType<IdFMUserSelfData> pageUserSelfTemplate()
    Specified by:
      `pageUserSelfTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The user profile "self" template

  - ### emailVerificationTemplate

    public IdFMTemplateType<IdFMEmailVerificationData> emailVerificationTemplate()
    Specified by:
      `emailVerificationTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The email verification template

  - ### emailPasswordResetTemplate

    public IdFMTemplateType<IdFMEmailPasswordResetData> emailPasswordResetTemplate()
    Specified by:
      `emailPasswordResetTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The email password reset template

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### pageEmailAddTemplate

    public IdFMTemplateType<IdFMEmailAddData> pageEmailAddTemplate()
    Specified by:
      `pageEmailAddTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The email addition page template

  - ### pageMessage

    public IdFMTemplateType<IdFMMessageData> pageMessage()
    Specified by:
      `pageMessage` in interface `IdFMTemplateServiceType`
    Returns:
      The generic message page template

  - ### cssTemplate

    public IdFMTemplateType<IdFMCSSData> cssTemplate()
    Specified by:
      `cssTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The main CSS template

  - ### pageRealnameUpdateTemplate

    public IdFMTemplateType<IdFMRealNameUpdateData> pageRealnameUpdateTemplate()
    Specified by:
      `pageRealnameUpdateTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The realname update page template

  - ### pagePasswordUpdateTemplate

    public IdFMTemplateType<IdFMPasswordUpdateData> pagePasswordUpdateTemplate()
    Specified by:
      `pagePasswordUpdateTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The password update page template

  - ### pagePasswordResetTemplate

    public IdFMTemplateType<IdFMPasswordResetData> pagePasswordResetTemplate()
    Specified by:
      `pagePasswordResetTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The password reset page template

  - ### pagePasswordResetConfirmTemplate

    public IdFMTemplateType<IdFMPasswordResetConfirmData> pagePasswordResetConfirmTemplate()
    Specified by:
      `pagePasswordResetConfirmTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The password reset form page template

  - ### emailTestTemplate

    public IdFMTemplateType<IdFMEmailTestData> emailTestTemplate()
    Specified by:
      `emailTestTemplate` in interface `IdFMTemplateServiceType`
    Returns:
      The test email template